> For the complete documentation index, see [llms.txt](https://docs.cspr.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cspr.cloud/1.1.x/rest-api/bidder/get-bidders.md).

# Get bidders

Get a paginated list of bidders

```
GET /bidders
```

## Query params

| Query param  | Description                                                                                                                                         |
| ------------ | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| `era_id`     | Active auction era identifier. Data for older eras aren't persistent for long, and will eventually become unavailable. This is a required parameter |
| `is_active`  | Bidder active filter param                                                                                                                          |
| `public_key` | Comma-separated list of public key                                                                                                                  |

## Sorting

| Property            | Description                       |
| ------------------- | --------------------------------- |
| `rank`              | Sort bidders by rank              |
| `fee`               | Sort bidders by fee               |
| `delegators_number` | Sort bidders by delegators number |
| `total_stake`       | Sort bidders by total stake       |
| `self_stake`        | Sort bidders by self stake        |
| `network_share`     | Sort bidders by network share     |

Default sorting is `total_stake DESC`

## Optional properties

| Property              | Type                                                               | Description                                                                                                            |
| --------------------- | ------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------- |
| `account_info`        | [`AccountInfo`](/1.1.x/rest-api/account-info.md)                   | Bidder [account info](https://github.com/make-software/casper-account-info-contract)                                   |
| `average_performance` | [`ValidatorPerformance`](/1.1.x/rest-api/validator-performance.md) | Moving average of validator performance based on the received rewards over the past 360 eras (approximately one month) |

## Response

[`PaginatedResponse`](/1.1.x/documentation/overview/pagination.md)[`<Bidder>`](/1.1.x/rest-api/bidder.md)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/bidders' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'

```

```json
{
  "item_count": 256,
  "page_count": 26,
  "data": [
    {
      "delegators_number": 326,
      "delegators_stake": 515236483487045440,
      "era_id": 12136,
      "fee": 15,
      "is_active": true,
      "network_share": "6.03",
      "public_key": "018f84c6fc037284f189cc8cb49f89212ff434a5eb050e48cdd164ff3890fbff69",
      "rank": 1,
      "self_share": "0.31",
      "self_stake": 1588933419545728,
      "total_stake": 516825416906591170
    },
    {
      "delegators_number": 1199,
      "delegators_stake": 327973756566146050,
      "era_id": 12136,
      "fee": 3,
      "is_active": true,
      "network_share": "3.83",
      "public_key": "01c377281132044bd3278b039925eeb3efdb9d99dd5f46d9ec6a764add34581af7",
      "rank": 2,
      "self_share": "0.03",
      "self_stake": 85793744014762,
      "total_stake": 328059550310160830
    },
    ...
    {
      "delegators_number": 121,
      "delegators_stake": 206718215474570850,
      "era_id": 12136,
      "fee": 10,
      "is_active": true,
      "network_share": "2.42",
      "public_key": "015fd964620f98e551065079e142840dac3fb25bd97a0d4722411cb439f9247d72",
      "rank": 10,
      "self_share": "0.2",
      "self_stake": 422749459877974,
      "total_stake": 207140964934448800
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cspr.cloud/1.1.x/rest-api/bidder/get-bidders.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
